%define name	  nted
%define version	  1.10.7
%define release   %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Musical score editor
Summary(de):    Partitureditor
Group:          Sound
License:        GPLv2+ and GFDL
URL:            http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Source0:        http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-root
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	libxorg-x11-devel
BuildRequires:	libgtk+2.0_0-devel
BuildRequires:	libcairo-devel
BuildRequires:	libalsa2-devel
BuildRequires:	yelp
BuildRequires:	xmlto
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Obsoletes:	%name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
NtEd is a GTK score editor. It intends to be really WYSIWYG:
what you see on the screen is exactly what you get on printer
output. It supports up to 4 voices per staff, drum notes, 5 lyrics
lines, N-Tuplets, context changes, repeats with alternatives,
configurable music instruments per staff, MIDI and Postscript
export, MusicXML import. Scores can be played through the ALSA sequencer.

%prep
%setup -q

%build
%configure2_5x --docdir='%{_docdir}/%{name}-%{version}'
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_docdir}/%{name}-%{version} docs
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/mime/packages

#new style menu
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=NtEd
GenericName=Score editor
GenericName[de]=Partitureditor
GenericName[fr]=Éditeur de partition
GenericName[it]=Redattore di spartiti
Comment=Edit musical scores
Comment[de]=Bearbeitet (musikal.) Partituren
Comment[fr]=Ėdite des partitions musicales
Comment[it]=Redige spartiti musicali
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
MimeType=application/x-%{name};
Type=Application
Categories=Audio;X-MandrivaLinux-Multimedia-Sound;Midi;Music
EOF

#new style mime-type
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-nted">
    <comment>nted file</comment>
    <glob pattern="*.ntd"/>
     <magic priority="60">
       <match value="nted-file" type="string" offset="20:140"/>
     </magic>
  </mime-type>
</mime-info>
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_mime_database}
%{update_desktop_database}

%postun
%{clean_mime_database}
%{clean_desktop_database}

%files -f %{name}.lang

%defattr(-,root,root,-)
%doc COPYING docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/*/*

%changelog
* Thu Oct 14 2010 Texstar  <texstar at gmail.com> 1.10.7-2pclos2010
- fix rpm/synaptic group to Sound
- convert source to tar.xz

* Sat Jun 12 2010 Galen Seaman <gseaman2186 at comcast.net> - 1.10.7
- Upgrade to 1.10.7

* Sat Nov 14 2009 Galen Seaman <gseaman2186 at comcast.net> - 1.9.6
- Upgrade to 1.9.6  New features and bugfixes

* Sat Oct 3 2009 Galen Seaman <gseaman2186 at comcast.net> - 1.8.12
- Upgrade to 1.8.12

* Sat Oct 3 2009 Galen Seaman <gseaman2186 at comcast.net> - 1.8.6
- Upgrade to 1.8.6

* Wed Sep 16 2009 Galen Seaman <gseaman2186 at comcast.net> - 1.7.0
- Upgrade to 1.7.0

* Sun May 31 2009 Galen Seaman <gseaman2186 at comcast.net> - 1.6.1
- Upgrade to 1.6.1.

* Sun May 31 2009 Galen Seaman <gseaman2186 at comcast.net> - 1.5.1
- Adapted the spec file for PCLinuxOS 2009.1.

* Wed Dec 10 2008 Hans Ulrich Niedermann <hun at n-dimensional.de> - 1.4.17-1
- Update to upstream's 1.4.17 release.

